## ZendX_JQuery_View_Helper_AjaxLink

Description

jQuery Accordion Pane, goes with Accordion Container

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_Json

Located in /JQuery/View/Helper/AjaxLink.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_AjaxLink

Method Summary
String ajaxLink (String $label, String $url, [Array $options = null], [Array $params = null])
String _determineRequestHandler (Array $options, Boolean $hasParams)
Methods
ajaxLink (line 86)

Create an anchor that enables ajax-based requests and handling of the response.

This helper creates links that make XmlHttpRequests to the server. It allows to inject the response into the DOM. Fancy effects going with the links can be enabled via simple callback shortnames. The functionality is mostly controlled by the $options array:

$options Key Behaviour ================================================================================= 'update' Update a container with the content fetched from $url 'method' Explicit Requesting method mimicing the jQuery functionality: GET, POST 'inline' True or false, wheater to inline the javascript in onClick="" atttribute or append it to jQuery onLoad Stack. 'complete' String specifies javascript called after successful request or a shortname of a jQuery effect that should be applied to the 'update' element. 'beforeSend' String specifies javascript called before the request is sent, or a shortname of a jQuery effect that should be applied to the link clicked. 'noscript' True/false, include a noscript variant that directly requests the given $url (make sure to check $request->isXmlHttpRequest()) 'dataType' What type of data is the response returning? text, html, json? 'title' HTML Attribute title of the Anchor 'class' HTML Attribute class of the Anchor 'id' HTML Attribute id of the Anchor 'attribs' Array of Key-Value pairs with HTML Attribute names and their content.

BeforeSend Callback: Can include shortcuts as a string assignment to fire of effects before sending of request. Possible shortcuts are 'fadeOut', 'fadeOutSlow', 'hide', 'hideSlow', 'slideUp', 'flash',

- link: http://docs.jquery.com/Ajax
- access: public
- example: example not found

String ajaxLink (String $label, String $url, [Array $options = null], [Array $params = null])

- String $label: Urls Title
- String $url: Link to Point to
- Array $options
- Array $params: Key Value Pairs of GET/POST Parameters

_determineRequestHandler (line 297)

Determine which request method (GET or POST) should be used.

Normally the request method is determined implicitly by the rule, if addiotional params are sent, POST, if not GET. You can overwrite this behaviiour by implicitly setting $options['method'] = "POST|GET";

- access: protected

String _determineRequestHandler (Array $options, Boolean $hasParams)

- Array $options
- Boolean $hasParams

Documentation generated on Mon, 24 Aug 2009 17:58:43 -0700 by phpDocumentor 1.4.2